com.google.gwt.core.ext.typeinfo

## Interface JAnnotationMethod

All Superinterfaces:
  HasAnnotations, HasTypeParameters, JAbstractMethod, JMethod

    public interface JAnnotationMethod
    extends JMethod

Method declared on an annotation type.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.Object` `getDefaultValue()` Returns the default value for this annotation method or `null` if there is not one.

### Methods inherited from interface com.google.gwt.core.ext.typeinfo.JMethod

`getReadableDeclaration, getReturnType, isAbstract, isFinal, isNative, isStatic`

### Methods inherited from interface com.google.gwt.core.ext.typeinfo.JAbstractMethod

`findParameter, getEnclosingType, getErasedParameterTypes, getJsniSignature, getName, getParameters, getParameterTypes, getReadableDeclaration, getThrows, isAnnotationMethod, isConstructor, isDefaultAccess, isMethod, isPrivate, isProtected, isPublic, isVarArgs`

### Methods inherited from interface com.google.gwt.core.ext.typeinfo.HasAnnotations

`getAnnotation, getAnnotations, getDeclaredAnnotations, isAnnotationPresent`

### Methods inherited from interface com.google.gwt.core.ext.typeinfo.HasTypeParameters

`getTypeParameters`

### Method Detail

#### getDefaultValue

    java.lang.Object getDefaultValue()

Returns the default value for this annotation method or `null` if there is not one.

Returns:
  default value for this annotation method or `null` if there is not one